Page MenuHomePhabricator

Add stats.wikimedia.org to translatewiki.net
Closed, ResolvedPublic

Description

This allows the community to translate Wikistats into other languages. The base English language strings must be pushed in Wikistats before creating the project in translatewiki.net (T240617). Once that's done I'll update this task tagging translatewiki.net folks to proceed.

Event Timeline

fdans created this task.Dec 12 2019, 8:58 PM
fdans triaged this task as High priority.Dec 18 2019, 8:09 PM
fdans moved this task from Incoming to Wikistats Beta on the Analytics board.
Ottomata moved this task from Wikistats Beta to Wikistats on the Analytics board.Feb 20 2020, 5:51 PM

The en.json strings have now been merged to master so they can be added to TranslateWiki:

https://github.com/wikimedia/analytics-wikistats2/blob/master/src/i18n/en.json

I'm also opening a subtask to give access to the repo to l10n-bot

fdans renamed this task from Add stats.wikimedia.org/v2 as a TranslateWiki project to Add stats.wikimedia.org as a TranslateWiki project.Feb 21 2020, 7:11 AM
Nikerabbit renamed this task from Add stats.wikimedia.org as a TranslateWiki project to Add stats.wikimedia.org to translatewiki.net.Feb 21 2020, 9:05 AM
Nikerabbit updated the task description. (Show Details)

I assume this https://github.com/wikimedia/analytics-wikistats2/blob/master/src/i18n/aa.json will be removed? aa is a language code for Afar.

I noticed there a string for. This is impossible to translate to many languages that don't use prepositions, especially without message documentation. Please plan adding message documentation for these strings: https://translatewiki.net/wiki/Translating:Localisation_for_developers#Message_documentation

Note for ourselves: we need insertable validators for {0} {foo} and {fooBar} and brace balance validator.

fdans added a comment.Feb 21 2020, 9:18 AM

@Nikerabbit thank you for the quick reply.

I thought I had removed the "for" usage (I only used at the very beginning when learning about i18n templates), but there was an instance still in the code. I'll also remove aa.json in this patch.

Change 573953 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Remove aa.json, replace untranslatable string

https://gerrit.wikimedia.org/r/573953

Change 574413 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add support for wikistats2.0

https://gerrit.wikimedia.org/r/574413

abi_ added a subscriber: abi_.EditedFeb 24 2020, 11:25 AM

I've submitted a patch to add the project to translatewiki.net. Following things need to be checked,

  1. @fdans - Please let me know if you have a larger icon for the project. This one is too small. This is not necessary, but good to have.
  2. Please ensure that l10n bot has necessary access.
  3. Add group description with the key - T:wikistats.
  4. Please add the qqq.json - message documentation file to the repository.

Change 573953 merged by jenkins-bot:
[analytics/wikistats2@master] Remove aa.json, replace untranslatable string

https://gerrit.wikimedia.org/r/573953

fdans added a comment.Feb 25 2020, 1:15 PM

@abi_ thank you for the list!

Here's the original ring file: https://www.mediawiki.org/wiki/File:WMF_Analytics_-_Ring_Logo_(thick).svg

I'll send a patch addressing the rest of items.

abi_ added a comment.EditedFeb 25 2020, 3:05 PM

@abi_ thank you for the list!

Here's the original ring file: https://www.mediawiki.org/wiki/File:WMF_Analytics_-_Ring_Logo_(thick).svg

I'll send a patch addressing the rest of items.

I've used the logo you provided and updated the patch. I've also added a group description with a default message, please feel free to update it when you can.

Change 574413 merged by jenkins-bot:
[translatewiki@master] Add support for Wikistats 2.0

https://gerrit.wikimedia.org/r/574413

abi_ added a comment.Feb 26 2020, 5:11 AM

Related patch has been deployed on translatewiki.net and Wikistats 2.0 is now available for translation on twn.

Pending items,

  1. Update the project page - https://translatewiki.net/wiki/Translating:Wikistats_2.0
  2. Update the group description - https://translatewiki.net/wiki/Group_descriptions
abi_ closed this task as Resolved.Mar 3 2020, 8:14 AM

Going to close this task as this has been done and translations are being pushed out to the repo. There is an issue with the l10n bot not being able to give CR+2. That is being tracked in T245805: Give access to Wikistats 2 to l10n-bot